> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/external-chat-api/reference/endpoints/list-conversation-messages.md).

# List conversation messages

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

**Request**

```
GET chat/conversations/{id}/messages
```

**Query parameters**

<table><thead><tr><th width="184">Field</th><th width="126">Type</th><th width="121">Required</th><th>Comments</th></tr></thead><tbody><tr><td>orderBy</td><td><a href="/pages/SAPck5AeL3aMRIdvSxex">Order by</a> enumeration</td><td>false</td><td><p>Indicates the order of messages in the dialogue.</p><p>If set to <code>creation_time_asc</code> value, the system retrieves the earliest 100 messages; if set to <code>creation_time_desc</code>, it retrieves the latest 100 messages.</p><p>The default value is <code>creation_time_desc</code></p></td></tr><tr><td>skip</td><td>integer</td><td>true</td><td>Default value equal 0</td></tr><tr><td>take</td><td>integer</td><td>true</td><td>Maximum value equal 100. A default value equal 100</td></tr></tbody></table>

**Response**

```json
{
    "data": [
        {
            "author": {
                "customIdentifier": null,
                "email": "john@dow.com",
                "id": "fc2481f6-28a4-4ca7-849a-344fd6ab1b20",
                "image": null,
                "isBot": false,
                "name": "John",
                "status": "client"
            },
            "creationTime": "2023-08-22T14:50:07.21+00:00",
            "id": 667155,
            "lastModifiedTime": "2023-09-01T15:03:59.81+00:00",
            "message": "This is an external message created on a third-party platform"
        },
        {
            "author": {
                "customIdentifier": null,
                "email": "john@dow.com",
                "id": "fc2481f6-28a4-4ca7-849a-344fd6ab1b20",
                "image": null,
                "isBot": false,
                "name": "John",
                "status": "client"
            },
            "creationTime": "2023-08-22T14:50:15.21+00:00",
            "id": 667156,
            "lastModifiedTime": "2023-09-01T15:03:59.81+00:00",
            "message": "And this is another message from third-party platform"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

The `Data` field contains an array of [Conversation message](/docs/apis/external-chat-api/reference/objects/conversation-message.md) objects.
